AnnHyb's history      (dates are in ISO format YYYY-MM-DD or in european format dd/mm/yy)
----------------

version 4.946 (2012-04-14):
- replaced URL of EBI and NCBI sequences server
(thanks to Dr. Serge Thal)

version 4.945 (2011-09-28):
- fixed bug in codon usage function: some inexisting codons were counted.
(bug kindly reported by Simone Morra)


version 4.944 (2011-03-22):

- fixed bug on displaying alignment of oligonucleotide and sequence with | character in name
  Now the | (pipe) character is replaced by space in sequence name when sequence are retrieved from server
  (bug kindly reported by Cuong Nguyen)
- added more control if sequence ID/AC is not correct (NCBI)
- AnnHyb is now portable: it can installed and used from an USB device


version 4.943 (2010-09-09):

- fixed bug in restriction analysis function.
  Restriction analysis was not possible using a limited account.


version 4.942 2008-10-23:

- fixed bug in Preferences/MEC window


version 4.941 (2008-07-09):

- fixed problem with "Check update" function


version 4.940 (2008-06-19):

- fixed problem with restriction enzymes database file.


version 4.939 (2007-11-30):

- add function to export the consensus sequence from a multiple alignment


version 4.939 (2007-03-21):

- fixed bug in "check version" function: this function works now behind a firewall too
- improved "Export sequence in HTML format" function: added embedded style and a control to use white as foreground color when the annotation background is too dark.
- preferences (annhyb.ini) are now saved in the user profile directory (e.g. c:\Documents and Settings\Alice\annhyb.ini)
- The consensus sequence of a multiple alignent can now be exported (menu Multiple alignment / Export consensus sequence).


version 4.938 (2007-03-19):
- fixed bug: after an oligo alignment it was no more possible to change any edit box (oligo name, oligo sequence etc).


version 4.937 PRE-RELEASE (2006-12-05):

- fixed bug in long selected sequence Tm determination (Howley)
- fixed bug in selected sequence positions (tools)


version 4.936 (2006-07-03):

- added a.wav file that was deleted from archive


version 4.936 PRE-RELEASE (2006-06-27):

- improved results output for Search sub-sequence function
- improved results output for Align sub-sequence function


version 4.936 PRE-RELEASE (2006-06-21):

- fixed function to change order of annotations (see Annotations windows Up/Down buttons)


version 4.935 (2006-06-10):

- program ask prior to delete/crop sequence and after the delete/crop operation all sequence features and all aligned oligo are deleted.


version pre-release 4.935 (2006-06-04):

- selected sequence remains visible even if the sequence window is not selected
- program ask prior to delete/crop sequence and after the delete/crop operation all sequence features and all aligned oligo are deleted.


version pre-release 4.935 (2006-05-23):

- the results windows is not more a "modal" window: the user can open more than one results window 


version pre-release 4.935 (2006-05-16):

- the sequence features are now called "annotations"
- modified the tools bar (added annotation button, print button and help button)


version pre-release 4.935 (2006-05-12):

- add function to import multi sequence Genbank/EMBL format from file or from server
if you import more than one sequence from EBI or NCBI server use comma (,) to separate AC
like this U01317,U01318


version pre-release 4.935 (2006-03-30):
- improved the presentation of PCR products: alignment is now displayed, a message is displayed when the two 
sequences for PCR are on the same frame
- fixed bug in search sub-sequence window

version pre-release 4.935 (2006-03-24):
- modified function: convert sequence to UPPER/lower case. AnnHyb asks now for converting only the selected sequence
- modified the sequence server URL selection: replaced listview by combobox


version pre-release 4.935 (2006-03-03):
- add "Add selected sequence to features" option to the seq. pop-up menu
- add "Convert selected sequence to lower case" option to the seq. pop-up menu
- add "Convert selected sequence to lower case" option to the seq. pop-up menu
- improved the "delete selected sequence" and "paste in sequence" functions, the
 cursor position is now memorized. After "Paste in sequence" command the clipboard
 sequence now substitute the selected sequence.


version pre-release 4.935 (2006-02-26):
- fixed bug in selection melting temperature determination 
- changed the default case for sequence (lower case are now allowed) 


version 4.934 (2006-02-23):
- added function for exporting oligonucleotides in various files in FASTA and OLA
(AnnHyb's native format) format
- added function for calculating the Tm of long selected sequences (>50 bp). See Howley, 1979
- added the bibliographic reference after the Tm of selected sequence
- fixed bug in oligo alignment visualization
- fixed bug in add/remove aligned oligo to/from features


version 4.933 (2005-12-07):
- fixed big bug introduced in version 4.932: new projects were not reloaded
- changed the "ISO-8859-1" encoding characters set to support specials characters like é à ü
- fixed bug in edit box the "Select sequences/oligo" window. This edit box can be used to select
 oligo/sequences using key word
- fixed bug in nucleotide position in the Edit sequence window: the position was not correct when
 the cursor was on the end of the line.
- modified the "Export multi sequences" window. AnnHyb asks for the directory after selecting the
 sequence format

version4.932 (2005-11-30):
- fixed bug in displaying features functions: not all aligned oligo were displayed on sequence

version 4.931 (2005-10-20):
- fixed bug in selecting oligo/seq from list with keyword
- improved the HTML export function
- improved copy/cut and Paste menu item (all paste menu items are now always enabled)
- fixed bug in remove sequence from multiple alignment function: modified menu

version 4.930 (2005-10-05):
- fixed bug in saving results function: the last line was not saved


version 4.929 (2005-09-20):
- added Result text format option (see Preferences) in order to save results in DOS format (CRLF) or in UNIX format (LF)
- modified menu "open oligo" in "import oligo in project" and "open sequence"  in "import sequence in project"
  the functionality is the same
- oligo notes are now saved in the AnnHyb oligo format (OLA)
- implemented the "print multi sequence function" see "Print sequence" menu
- improved the Export oligo and Export Sequence functions
- various bugs fixed
- added option for calculating a consensus sequence of multi-alignment (see multi-alignment menu)



version 4.928 (2005-07-15):
- bug in open project function: annhyb was crashed when a project contained an oligo with an empty sequence


version 4.927 (2005-06-08):
- lower case oligonucleotide were not correctly analyzed by tools like base composition etc
- extension .annhyb is now always added to project


version 4.926 (June 1st, 2005):
- added update function (download and install the new version of AnnHyb)


version 4.925 (May 20, 2005):
- the sequence name of a retrieved sequence is now its Accession number (not more its ID)
- Sequence select window: added a keyword edit box for selecting all sequences containing the keyword
   (input the keyword and press ENTER)
- added 'copy, cut and paste' functions to the tree view pop-up menu
- added possibility to copy/cut/paste a whole oligo
- extended the 'tool' functions to oligo (restriction, base composition, codon usage, translate...)
- improved the translate function (cleaner output)
- improved the "Sequence attributes" window
- added crop function to oligo pop-up menu
- fixed bug in alignment on multi-alignment fonction


version 4.924 (April 21, 2005):
- fixed bug in Copy function: only valid nucleotides were copied from a RichEdit component
- fixed bug in sequence check pattern memorization
- fixed various minor bugs
- added a minimal score for visualization of aligned oligo with multi-alignments (see Preferences window)



version 4.923 (April 15, 2005):
- fixed position of popup menu (that appeared far from the mouse pointer)
- modified the message dialog when AnnHyb is closed and the project was modified:
    AnnHyb ask you now if you want or do not want to save the project or if you want to Cancel the AnnHyb exit.
- fixed bug in "export sequence" function: the name of sequence was not correctly included in the FASTA format
- modified the oligo/sequence/multi-alignment name editing procedure: changes in name of oligo/sequence/multi-alignment are displayed in tree-view
 in real time
- added control on multi-alignment name (to avoid using the same name for two multi-alignments)
- fixed bug in short multi-alignment displaying function
- fixed big bug in length of gapped alignment calculation
- added "overlapping features color" preference in Preferences window (instead of orange)
- added control for saving ini file (user preferences): in case of write protected device annhyb do not closed.
- added mismatch visualization for aligned oligo (choose mismatch color in Preferences window)



version 4.922 (January 12, 2005):
- fixed bug in "new oligo" function with clipboard content
- added a Project description window
- added an Oligo notes window
- double click on sequence name open the edit window
- added "paste" command in sequence window pop-up menu
- added "delete selected sequence" command in sequence window pop-up menu
- fixed bug on oligo tab selection
- fixed bug (big one) in Quick search Oligo in multi-alignment function
- removed the ugly window with results of Quick search Oligo in multi-alignment function

version 4.921:
- added automatic "check for new version" function (checked by default)
- added "recent project" menu option for quick re-opening recent projects
- modified "print" and "export" menu for oligo and sequence
- added option "ask before closing results window" (see options/parameters)
- added a "Sequence tools" button in the toolbar
- added a "Read selection" button in the toolbar. 
- added a function for exporting sequences in many files (one sequence by file) in FASTA format.
        See "Sequence/Export/Export multi-sequences" menu

version 4.920:
- various minor bugs fixed

version 4.919 (19/09/2004):
- fixed very big bug in the automatic color assignment function. The color assigned to 
the oligo after checking it in the oligo list was not consistent.
- fixed bug: AnnHyb gave an error when closed with multi-alignent tab open.

version 4.918 (15/09/2004):
- added melting temperature calculation for PCR products (according to Howley, 1979)
- added numeric input control for salt and primers concentrations in the Parameters window
- fix bug for Tm algorithm selection
- fix bug: feature can be now 1 nt long
- open project do not overwrite the current project anymore but launch a new session of AnnHyb.



version 4.917 (13/06/04):
- modified popup menu for viewing results of alignments:
   it is possible to view all alignments results ("view all results" option)
   it is possible to view alignments of one oligonucleotide with all selected 
   sequences ("View all alignments")
   Aligments results and alignments are now displayed in the "Results window" 
   (From this window iy is possible to print or save them).
   In the alignment output, 10 nucleotides were added upstream and downstream the
   target sequence
- bugs fixed

version 4.916
- added the possibility to select oligonucleotides to align from the "Oligo list"
 window. The color assigned to each selected oligo are picked from
the custom color list in the "Parameters" window (Align / Quicksearch tab)
- various bugs fixed


version 4.915
- various bugs fixed

version 4.914 (31/03/2004):
- add highlighting of aligned oligo on multi-alignment (quicksearch and align functions)
  if the treshold option is checked only oligo with homology score greater than treshold value are highlighted
  (see options/parameters for details)
- modified the multi-alignment visualization
- add rule option for "clean multi-alignment output"
- enhanced "save search results" output
- add options to right-click menu: "remove all features from sequence" and "remove features from all sequences"


version 4.913 (09/02/2004):
- fixed bug in "clean alignment fonction": one aligned sequence was deleted in the first block.
- removed the "change program background color"  function
- added function for exporting oligo in FASTA format
- fixed bug in oligo/seq selection function

version 4.912 (30/01/2004):
- fixed big bug: it was not possible to align one primer in a one sequence project


version 4.9 (16/01/2004):
- fixed bug in "Quicksearch multi-alignment" and "Align multi-alignment" functions: a blank
 results window was displayed if no oligo were selected.
- checksum is now displayed in the Edit sequence attributes window
- bug in comments editing function fixed


version 4.9 (17/12/2003):
- fixed color bug in Export sequence in HTML format
- improved "Save features list" format

version 4.9 ALPHA (12/12/2003):
- fixed bug in "clean multi-alignment" function: homology can now be set with value different than 90%
- improved presentation of results of oligo alignment with multi-alignement

version 4.9 ALPHA (10/12/2003):
- fixed bug on sequence features display
- fixed bug in open project tool button (project was added to current project)
- fixed bug in oligo/seq/alignment selection

version 4.9 ALPHA (06/12/2003):
- added number of oligo, sequences and multi-alignment in staus bar when list are selected
- fixed bug in printing multi-alignment function
- changed "tools/Multi-alignment cleaner function" in "Multi-alignment/clean multi-alignment"

version 4.9 ALPHA (06/12/2003):
- fixed bug in HTML removing function 

version alpha 25 (20/11/2003):
- fixed bug in vertical scrolling of multi-alignment
- fixed bug in Sequence select window

version alpha 25 (17/11/2003):
- renamed "Workspace" in "Project"
- improved Export sequence in HTML format function: highlighted features are now displayed

version alpha 25 (13/11/2003):

- added new format for saving Workspace (XML format with .annhyb extension). Multi-alignment are now correctly saved with
 workspace.
- modified File menu: removed open oligo / sequence 
- added checksum values (from GCG package) in oligo list and sequence list for quick sequence checking
- added function for searching/aligning oligo in multi-alignment see menu Oligo 
- added function to save sequence in HTML format (highlighting position is not yet implemented)
- fixed various bugs in multi-alignment display (main form resize update the multi-alignment display)
- changed the local alignment display for oligo found on the minus strand (the sequence is now reversed and complemented instead of oligo)
- modified the server management for sequence retrieving (fixed bad server URL)
- modified the "align sub-sequence" function: sequences can now be selected
- added print dialog for printing search results
- multi-sequence retrieving continues when a sequence is not found
- added a "Length" box in the Sequence tab
- fixed the "string search" utility (now searching a string in all sequences is possible) see menu: Edit/Search in sequence header
- add "save sequences list" function (right mouse button on sequences list window)
- improved consensus creation in "Multi-alignment cleaner" function

version beta 24 (09/09/2003):

- add a "multi-alignment list" window

version 4 alpha 24:

- sequence attributes can now be correctly modified 
- last nucleotide is now correctly selected
- highlighted nucleotides are now displayed white on blue background (instead of black)
- sequences created manually can not more have identical names 
- removed the link for sequence downloading from DDBJ
- add "save oligo list" (right mouse button on oligo list window)

version 4 beta 23:

- modified the consensus determination (multi-alignment cleaner): a "consensus" gap is now reported as a gap in the consensus sequence.
- fixed the "can not focus ..." after sequence retrieving from server
- fixed problem with updating reverse sequence
- checked found oligo are now directly added to features
- fixed bug on sequence displaying in multi-alignment window
- fixed bug in "save results" and "print results" function
- added Hourglass cursor when applying features modifications
- added confirmation message for deleting results when oligo sequence is modified
- added "Clear results" function in "Oligo search results" popup menu 
- added "Check all results" and "Uncheck all results" funtions in "Oligo search results" popup menu 
- removed "Add found oligo to features" (found oligo that are checked are now directly added to sequence features)
- added "Close Workspace function"


27/05/2003 version 4 beta 22:
- fixed bug in "insert clipboard sequence" function
- improved the sequence processing
- fixed bug in "Edit sequence" function: features and found oligo are now removed from the edited sequence
- implemented RTF format for saving sequence
- sequence in GCG format are now loaded correctly (date is processed correctly)
- text color is now white on dark background like purple, Olive, Navy ... (for features and found oligo displaying)
- fixed bug: the first character in feature's name was always a blank space (added by AnnHyb)
- checkboxes in oligo and sequence lists are removed
- AnnHyb asks the user before closing if a new sequence was retrieved from internet server.



30/04/2003 version 4 beta 21:
- fixed update of multi-alignment cleaner window
- added "Print sequences list" function
- adjusted the description and long name width in sequences list
- modified the color of the "read only" fields 
- fixed the tree view sequence navigation with arrow key
- fixed the close confirmation bug for the results window
- fixed the help bug in hairpin/dimer window
- fixed bug in "edit sequence": BACKSPACE now deletes selection and typing any valid nucleotide overwrites selection
- added the possibility to change tab by directly clicking on the tab (with memorization of the last visualized oligo or sequence)
- added popup menu in sequences list and oligo list windows
- fixed bug in "Cancel" function in "Print sequences/oligo list" function
- enhanced the "Print sequence" function: it's now possible to select information to print (header, features, sequence) and to print a selected sub-sequence with optional numeration.
- added experimental version of a multi-alignment viewer (for the moment only CLUSTALW output are supported)
- added "Threshold function" for automaticaly checked found oligo with score greater then threshold (see Options/Parameters)
- added option for automatically add found (and checked) oligo to features (see Options/Parameters)
- fixed bug on AnnHyb Explorer (it was not possible to edit an oligo name and switch to oligo list without an run-time error
- added double click event in oligo list and sequences list to jump directly to the selected oligo/sequence
- fixed bug in "align oligo" function



08/04/2003 version 4 beta 20:
- added dialog for confirmation when the result window is closed (if results were not saved or printed)
- fixed various bugs (print multiple oligo, print selected sequence...)
- added "Remove all" in the features window
- replaced the Color box in main window and in features windox with another color box with fewer but smarter colors
- added sorting option (by clicking on column header) in oligo and sequences list (ascending and descending order)
- added GC% of PCR product (Sequence/Tools/PCR Product)
- redesigned main menu (added "Save workspace as.." option)
- added control of "collision" of features (the comune part is highlighted with orange color)
- added a "sequence reader" option (see Parameters window). wave files for nt must be in the annhyb4.exe directory.

25/03/2003 version 4 beta 19:
- workspaces are now reopen in a new AnnHyb session
- features are managed in a "List view" component with color icon. The features window was totally redesigned to have a more simple interface. A double-click on a feature scroll the sequence to the its position.
- an extension is now added to your file in the basis of sequence format you choose in the "Save sequence" dialog box
- 2 functions added:
    1) The "Sequence/Tools/PCR product" function allow you to calculate the length of a PCR product:
    2) The "Sequence/Tools/Melting" function allow you to calculate melting temperature of DNA-DNA sequence longer than 50 bp


11/03/2003 version 4 beta 18:
bug with "Align oligo function" fixed: found oligo are now highlighted correctly

04/03/2003 version 4 beta 17:
added function for adding found oligo in features of sequence in order to save oligo research with the "Save workspace" function
added option to assign automatically a color for the new oligo (see the Parameters window)

14/02/2003 version 4 beta 16:
numerous options were added in this new beta version and several bugs were also fixed.
added drag possibility to open oligo or sequence file (try to drag file on the AnnHyb window area)
added possibility to select oligo to export or to print (menu options "Export data for multiple oligo" and "Print data for multiple oligo" ask now the user to selct oligos from a list)
fixed bug: "Error #103" after retrieving sequences from server
fixed bug: sequence longname, description, type... can now be modified and updated
added arrows (left and right) in the toolbox to switch quickly between oligos and sequences
Oligo name and sequence name must now be unique to avoid conflict in oligo searching

16/12/2002 version 4 beta 15:
modified the sequence selection mode (character selection and not more block-wise selection)
added "new workspace function"
added sequence open dialog message when pressing the open button (the user can choose to open single oligo, list of oligos or sequences)
added update of searched oligo when sequences are deleted or renamed

04/12/2002 version 4 beta 14:
fixed bug in the "Insert sequence from clipboard" function (Edit sequence window) 
fixed bug in the "Insert sequence from file" function (Edit sequence window) 

03/12/2002 version 4 beta 13:
fixed bug in "edit sequence" function: selected sequence was not correctly deleted (but only the first nt)
fixed bug in the sequence position determination in the "edit sequence" window
added a "Go to position" in the "edit sequence" menu
added edit box for customization of molar extinction coefficients of A, C, G and T (in the "Parameters" window)

28/11/2002 version 4 beta 12:
fixed a bug in Tm calculation for degenerated oligo with the Allawi et al. algorithm
added MW, GC% and MEC in oligo list view
added "Print oligo list" function for printing all oligo with parameters on a single page
added more formula for MEC determination (in Parameters window)

27/11/2002 version 4 beta 11:

- fixed big bug from beta 10: found oligo were not correctly highlighted on sequences
- modified the multi-alignment cleaner
- added GFF sequence format in input
- added control for corrupted file

20/11/2002 version 4 beta 10:

- insert access statistics on annhyb web site
- rounded GC percent with 2 decimal positions
- added control of oligo length. Melting temperature is not calculated if oligo is shorter than 10 nt
- added multi-sequence retrieve
- fixed bug on date extraction from EMBL and Genbank sequences from flat file

18/11/2002:
fixed "Close all oligo" bug

04/11/2002
AnnHyb 4 beta 9

01/05/2002
Release of AnnHyb v.4

09/09/2002
AnnHyb v.4 beta 6 available

13/09/2002:
AnnHyb v.4 beta6 update

05/12/2001
AnnHyb v.4 ALPHA release ONLY FOR TESTING

20/06/2001:
AnnHyb v.3.5 b 13

05/04/2001
AnnHyb beta version available (v.3.5 beta 12)

24/10/2000
AnnHyb 3.5 beta 8 is available

09/03/2000:
AnnHyb v. 3.11

30/08/2000
AnnHyb 3.5 beta 5

18/01/2000
The version 3 of AnnHyb is available

24/03/2000
AnnHyb 3.14: serious bug fixed!


16/08/1999:

Annhyb version 2.22


28/05/1998:

AnnHyb for windows95






